Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058452 - jBPM (6) project wizard generating invalid BPMN2 file
Summary: jBPM (6) project wizard generating invalid BPMN2 file
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Eclipse Tooling
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: DR2
: 6.1.0
Assignee: Kris Verlaenen
QA Contact: Marek Baluch
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-27 20:03 UTC by Alessandro Lazarotti
Modified: 2018-01-30 12:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
Attached the sample BPMN2 file created by jbpm wizard. The process is missing information for dataInput types. (deleted)
2014-01-27 20:03 UTC, Alessandro Lazarotti
no flags Details


Links
System ID Priority Status Summary Last Updated
Eclipse Project 427470 None None None Never

Description Alessandro Lazarotti 2014-01-27 20:03:53 UTC
Created attachment 856252 [details]
Attached the sample BPMN2 file created by jbpm wizard. The process is missing information for dataInput types.

Description of problem:
The process created by jBPM Project Wizard does not define the types used for DataInput definitions, generating validation errors.

Version-Release number of selected component (if applicable):
BPMN2 Modeler plugin        version  1.0.1.201312111931
BPMN2 Project Feature       version 0.7.0.201308220617	
JBoss Runtime jBPM Detector version 4.5.200.Final-v20130815-1941-B2008
JBoss jBPM Core	            version 6.0.1.Final

How reproducible:
always

Steps to Reproduce:
1. File -> New -> jBPM Project
2. Define a name -> Next
3. Select "a more advanced process including human tasks and persistence" -> Next
4. Open the process generated "sample.bpmn2" and try to edit the task name: e.g changing "Task 1" to "Task1" and save the file.
5. If Eclipse/JBDS asks to add BPMN2 Project Nature for process validation, click "yes"
6. Eclipse/JBDS now logs the error message: "Data Input has missing"

Actual results:
Eclipse/JBDS logs the error message: "Data Input has missing" 

Expected results:
A valid BPMN2 file created by jBPM project wizard, without validation errors 

Additional info:

Comment 1 Robert (Bob) Brodt 2014-02-05 01:41:55 UTC
I'm not sure where this sample process came from, but I know it was not generated by the BPMN2 Modeler "New Process" wizard. I think the process file that is created as part of the "more advanced process" sample needs to be rebuilt.

Comment 2 Robert (Bob) Brodt 2014-02-05 14:43:43 UTC
Discussed with Kris. The quick solution for now will be to disable BPMN2 core validation (which will get rid of these error messages) for an M1 release in March. Long term will be to refactor core validation to allow jbpm runtime plugin to override individual constraints. See attached eclipse BZ.

Comment 3 Alessandro Lazarotti 2014-03-06 13:55:50 UTC
Bob, instead of fixing the validation is not better being fixed the diagram ? The content generated really do not have the data types probably because the template was created using an older version of the plugin. Using a newer version of this plugin the human task is created correctly with references for data types.

Is not better creating a new digram with the data types correctly instead of just skip the validation ?

Comment 4 Robert (Bob) Brodt 2014-03-06 14:21:58 UTC
That was my thought too, but I have no idea where these sample files are, and who is responsible for updating them.

Kris, what do you think we should do here?

Comment 5 Kris Verlaenen 2014-06-16 13:19:19 UTC
This issue is resolved by disabling BPMN2 core validation, as Bob explained.

Comment 6 Marek Baluch 2014-10-06 10:14:47 UTC
This is not fixed in JBDSIS 8.0.0.Alpha2.

Comment 7 Robert (Bob) Brodt 2014-10-06 12:46:37 UTC
OK, let's try this again: This business process is probably being copied from a sample template file somewhere (my guess), but it's not part of the BPMN2 Modeler project. Does anyone have any ideas where this needs to be fixed?

Comment 8 Kris Verlaenen 2015-01-16 15:49:44 UTC
Just tried once more and the process didn't generate any errors in the error log after save.  Removing the end node and saving again did introduce errors (so the error reporting seems to be working).

Tested with 
BPMN2 Modeler version 1.1.1.201412181844	
jBPM plugin version 6.2.0.CR3

Comment 9 Marek Baluch 2015-01-16 22:47:43 UTC
I'll have a look at this on Monday. It's more than possible that the issue is fixed but was not looked at (since it's not ON_QA).

Comment 10 Jozef Marko 2015-02-13 10:16:57 UTC
Verified on jbds-8.0.2.GA_jbdsis-8.0.0.CR2:
Disabling BPMN2 core validation in jBPM project causes that there are no errors concerning dataInputs. There is only one error after disabling BPMN2 core validation - no package name for process.

Deleting EndNode causes desired validation errors how Kris have mentioned.


Note You need to log in before you can comment on or make changes to this bug.